# Yahoo! UI Library

### DataTable Widget 2.6.0

Yahoo! UI Library > datatable > YAHOO.widget.RadioCellEditor

Show Private Show Protected Show Deprecated

## Class YAHOO.widget.RadioCellEditor - extends YAHOO.widget.BaseCellEditor

The RadioCellEditor class provides functionality for inline editing DataTable cell data with radio buttons.

### Constructor

YAHOO.widget.RadioCellEditor `( oConfigs )`

Parameters:
  `oConfigs <Object>` (Optional) Object literal of configs.

### Properties

#### radioOptions `- String[] | Object[]`

Array of radio values. Can either be a simple array (e.g., ["yes","no","maybe"]) or a an array of objects (e.g., [{label:"yes", value:1}, {label:"no", value:-1}, {label:"maybe", value:0}]).

#### radios `- HTMLElement[]`

Reference to radio elements.

#### Properties inherited from YAHOO.widget.BaseCellEditor:

`_elCancelBtn, _elContainer, _elSaveBtn, _elTd, _oColumn, _oDataTable, _oRecord, _sId, _sType, asyncSubmitter, defaultValue, disableBtns, isActive, LABEL_CANCEL, LABEL_SAVE, validator, value`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### focus

`void focus ( )`
Sets focus in RadioCellEditor.

Returns: `void`

#### getInputValue

`void getInputValue ( )`
Retrieves input value from RadioCellEditor.

Returns: `void`

#### handleDisabledBtns

`void handleDisabledBtns ( )`
After rendering form, if disabledBtns is set to true, then sets up a mechanism to save input without them.

Returns: `void`

#### renderForm

`void renderForm ( )`
Render a form with input(s) type=radio.

Returns: `void`

#### resetForm

`void resetForm ( )`
Resets RadioCellEditor UI to initial state.

Returns: `void`

#### Methods inherited from YAHOO.widget.BaseCellEditor:

`_initConfigs, _initEvents, attach, block, cancel, destroy, doAfterRender, focus, getColumn, getContainerEl, getDataTable, getId, getInputValue, getRecord, getTdEl, handleDisabledBtns, move, render, renderBtns, renderForm, resetForm, save, show, toString, unblock`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.BaseCellEditor:

`blurEvent, cancelEvent, invalidDataEvent, keydownEvent, revertEvent, saveEvent, showEvent,`

Copyright © 2008 Yahoo! Inc. All rights reserved.